Member Nodes - MNDeployment #7082

USGS Science Data Catalog (SDC)
2015-05-06 20:53 - Laura Moyers

Status: Operational Start date: 2015-05-07
Priority: Normal Due date:

Assignee: Laura Moyers % Done: 83%
Category: Estimated time: 0.00 hour
Target version: Operational

Latitude: 35.93 MN_Date_Online: 2015-11-12
Longitude: -84.31 Name:

MN Description: The Science Data Catalog is an initiative |Logo URL:

by the USGS Core Science Analytics
and Synthesis (CSAS) program to
locate, evaluate, and access Earth
Science data and information. It contains
standardized metadata descriptions of
Earth Science data sets and information
products -- contributed from USGS
research organizations -- to help
scientists discover a broad spectrum of

data.
Base URL: data.usgs.gov/datacatalog/ Date Upcoming:
Nodeldentifier: urn:node:USGS_SDC Date Deprecated:
MN Tier: Tier 1 Information URL:
Software stack: slender node Version:

Description

The Science Data Catalog describes USGS-produced, authoritative data that have undergone the data release process outlined in
USGS Fundamental Science Practices. The Catalog includes metadata describing individual datasets, data collections, and

observational or remotely-sensed data contained in national systems (rather than records about individual observations).

Content formerly available in the USGS CSAS Member Node is now available at the SDC.

Subtasks:
Task # 7083: USGS SDC metadata issues with CSDGM
Task # 7461: Determine how to handle metadata which is well-formed but does not validate
Task # 7467: USGS SDC - Transition to production
Bug # 8211: USGS_SDC not responding as expected on /monitor/ping
Bug # 8295: USGS base URL changed to https
Story # 8683: USGS SDC: redeploy as a v2 Slender Node with GMN
Task # 8526: duplicate data sets for USGS node + archiving

Closed
Closed
Closed
Closed
Closed
New

Closed

Related issues:
Related to Member Nodes - MNDeployment #3552: USGS CSAS Closed

2013-02-19

History

#1 - 2015-05-30 00:28 - Laura Moyers

- Status changed from New to Ready

#2 - 2015-05-30 00:31 - Laura Moyers
- Status changed from Ready to New

#3 - 2015-05-30 00:32 - Laura Moyers
- Status changed from New to Ready
#4 - 2015-07-08 15:05 - Laura Moyers
- % Done changed from 0 to 50
- Status changed from Ready to Testing

~1200 of ~6000 total records are in the stage environment. We plan to proceed with the partial corpus until the remainder can be addressed.

#5 - 2015-08-24 14:39 - Laura Moyers
- Related to MNDeployment #3552: USGS CSAS added

#6 - 2015-10-09 18:16 - Laura Moyers
- Target version changed from Deploy by end of Y1Q4 to Deploy by end of Y2Q1

- Assignee changed from Mark Servilla to Laura Moyers

SDC originally set up in sandbox. Ranjeet et al. made some changes to the content (that passes validation). This new content will be harvested in
the stage environment to ensure no adverse impact from these changes before transitioning to production. Certificates for production have been
generated (7/8/15).

Laura to work with Ranjeet to develop a news item to put out for formal announcement. We'll also need a logo/MNDD so we can show SDC as
upcoming.

#7 - 2015-10-30 15:51 - Bruce Wilson

Discussed the issue of some metadata not validating according to the declared schema at the LT meeting October 30, 2015. The conclusion from
this meeting is that we will ensure that the metadata that passes validation gets ingested. There is a separate task to decide how best to handle the
data which is at least well-formed XML but doesn't match the schema that's declared in the file.

#8 - 2015-11-05 13:18 - Laura Moyers

- MN Description set to The Science Data Catalog is an initiative by the USGS Core Science Analytics and Synthesis (CSAS) program to locate,
evaluate, and access Earth Science data and information. It contains standardized metadata descriptions of Earth Science data sets and information
products -- contributed from USGS research organizations -- to help scientists discover a broad spectrum of data.

- Base URL set to http://usgs.ornl.gov/ USGS_MN/mn
- Nodeldentifier changed from urn:node:SDC to urn:node:USGS_SDC
- % Done changed from 50 to 80

- Status changed from Testing to In Review
Approved in production 11/4/15.

#9 - 2015-11-12 20:45 - Laura Moyers

- MN_Date_Online set to 2015-11-12

- Status changed from In Review to Operational

Announced 11/12/15; live in production with 4464 records. Tickets 7083 and 7461 address the remaining ~1400 records which do not currently pass
validation due to the presence of ESRI tags.

#10 - 2015-11-12 20:45 - Laura Moyers
- Target version changed from Deploy by end of Y2Q1 to Operational

#11 - 2015-11-13 16:08 - Laura Moyers
The USGS CSAS MN will be deprecated. As part of this process, CSAS content will need to be replicated at another MN, and we are considering
replicating that CSAS content at SDC. Since SDC is currently Tier 1, we'll have to evaluate the ramifications of taking it to Tier 4, allowing replication.

#12 - 2016-02-15 16:29 - Laura Moyers
- Base URL changed from http://usgs.ornl.gov/USGS MN/mn to data.usgs.gov/datacatalog/

#13 - 2016-06-05 11:08 - Laura Moyers

- Software stack set to slender node

#14 - 2018-01-09 20:55 - Dave Vieglais
- Sprint set to Ongoing Operational
